Package fr.gouv.vitam.storage.engine.common.model

# Class TapeAccessRequestReferentialEntity

java.lang.Object
fr.gouv.vitam.storage.engine.common.model.TapeAccessRequestReferentialEntity

public class TapeAccessRequestReferentialEntity extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `CONTAINER_NAME`
  `static final String`
  `CREATION_DATE`
  `static final String`
  `EXPIRATION_DATE`
  `static final String`
  `ID`
  `static final String`
  `OBJECT_NAMES`
  `static final String`
  `PURGE_DATE`
  `static final String`
  `READY_DATE`
  `static final String`
  `TENANT`
  `static final String`
  `UNAVAILABLE_ARCHIVE_IDS`
  `static final String`
  `VERSION`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TapeAccessRequestReferentialEntity(String requestId, String containerName, List<String> objectNames, String creationDate, String readyDate, String expirationDate, String purgeDate, List<String> unavailableArchiveIds, int tenant, int version)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getContainerName()`
  `String`
  `getCreationDate()`
  `String`
  `getExpirationDate()`
  `List<String>`
  `getObjectNames()`
  `String`
  `getPurgeDate()`
  `String`
  `getReadyDate()`
  `String`
  `getRequestId()`
  `int`
  `getTenant()`
  `List<String>`
  `getUnavailableArchiveIds()`
  `int`
  `getVersion()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### ID

    public static final String ID
    See Also:
      - Constant Field Values

  - ### CONTAINER_NAME

    public static final String CONTAINER_NAME
    See Also:
      - Constant Field Values

  - ### OBJECT_NAMES

    public static final String OBJECT_NAMES
    See Also:
      - Constant Field Values

  - ### CREATION_DATE

    public static final String CREATION_DATE
    See Also:
      - Constant Field Values

  - ### READY_DATE

    public static final String READY_DATE
    See Also:
      - Constant Field Values

  - ### EXPIRATION_DATE

    public static final String EXPIRATION_DATE
    See Also:
      - Constant Field Values

  - ### PURGE_DATE

    public static final String PURGE_DATE
    See Also:
      - Constant Field Values

  - ### UNAVAILABLE_ARCHIVE_IDS

    public static final String UNAVAILABLE_ARCHIVE_IDS
    See Also:
      - Constant Field Values

  - ### TENANT

    public static final String TENANT
    See Also:
      - Constant Field Values

  - ### VERSION

    public static final String VERSION
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### TapeAccessRequestReferentialEntity

    public TapeAccessRequestReferentialEntity(String requestId, String containerName, List<String> objectNames, String creationDate, String readyDate, String expirationDate, String purgeDate, List<String> unavailableArchiveIds, int tenant, int version)

- ## Method Details

  - ### getRequestId

    public String getRequestId()

  - ### getContainerName

    public String getContainerName()

  - ### getObjectNames

    public List<String> getObjectNames()

  - ### getCreationDate

    public String getCreationDate()

  - ### getReadyDate

    public String getReadyDate()

  - ### getExpirationDate

    public String getExpirationDate()

  - ### getPurgeDate

    public String getPurgeDate()

  - ### getUnavailableArchiveIds

    public List<String> getUnavailableArchiveIds()

  - ### getTenant

    public int getTenant()

  - ### getVersion

    public int getVersion()